Bug 1847283 - Create Operand form: Knative Serving - Integer field erroneously allows char (should map to "number" widget)
Summary: Create Operand form: Knative Serving - Integer field erroneously allows char ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.z
Assignee: Jon Jackson
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1843239
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-16 06:15 UTC by Yadan Pei
Modified: 2020-07-30 18:57 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: DynamicForm component was not correctly detecting number type schema properties. Consequence: Number properties were being rendered as text fields on the operand form. Fix: Add logic to detect number type schema properties and render the correct form field type. Result: Number type schema properties are rendered as number input fields on the operand creation form.
Clone Of: 1843239
Environment:
Last Closed: 2020-07-30 18:56:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 5753 None closed [release-4.5] Bug 1847283: Fix number widget detection in operand form 2020-07-27 15:43:03 UTC
Red Hat Product Errata RHBA-2020:3028 None None None 2020-07-30 18:57:18 UTC

Comment 1 Jon Jackson 2020-06-19 13:30:15 UTC
PR pending

Comment 2 Jon Jackson 2020-07-02 19:28:08 UTC
https://github.com/openshift/console/pull/5753

Comment 5 XiaochuanWang 2020-07-24 05:24:46 UTC
It raises the correct error message for "1alpha1.HighAvailability.Replicas: readUint32: unexpected character"
Verified on 4.5.3

Comment 7 errata-xmlrpc 2020-07-30 18:56:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3028


Note You need to log in before you can comment on or make changes to this bug.